Page MenuHomePhabricator

Wrong languages (and no suggestions) when switching to the suggestions view
Closed, ResolvedPublic1 Story Points

Description

When reaching an empty dashboard, and switching to the suggestions view, the languages shown were "all languages > English".

The expected result would be the wiki language as target and a relevant language as source, instead.

In addition, suggestions were not showing when the languages were changed to those for which suggestions are available (e.g., EN>ES),

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: ContentTranslation.
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 1:30 PM
Amire80 added a subscriber: Amire80.Oct 8 2015, 9:03 PM

Probably related to T113704.

Amire80 triaged this task as High priority.Oct 8 2015, 9:04 PM
Amire80 set Security to None.
santhosh claimed this task.Oct 9 2015, 5:27 AM
santhosh added a project: LE-CX7-Sprint 1.
santhosh moved this task from Backlog to In progress on the LE-CX7-Sprint 1 board.

Change 244636 had a related patch set uploaded (by Santhosh):
Suggestions: Improve the source and target language identification

https://gerrit.wikimedia.org/r/244636

Change 244636 merged by jenkins-bot:
Suggestions: Improve the source and target language identification

https://gerrit.wikimedia.org/r/244636

Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Oct 9 2015, 6:05 PM
santhosh moved this task from In review to QA on the LE-CX7-Sprint 1 board.Oct 12 2015, 4:19 AM
Amire80 closed this task as Resolved.Oct 23 2015, 5:22 PM

Verified.

Amire80 moved this task from QA to Done on the LE-CX7-Sprint 1 board.Oct 23 2015, 5:22 PM
Amire80 edited a custom field.Oct 24 2015, 12:46 PM